summaryrefslogtreecommitdiff
path: root/source4/utils/tests
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-02-09 17:17:21 +0100
committerJelmer Vernooij <jelmer@samba.org>2008-02-09 17:17:21 +0100
commitb5bfabf1526f094942f986f8c8f7019b64db6c2f (patch)
tree78763fa44e9b3e45eb4d79851845a420bd25c7e6 /source4/utils/tests
parentc8c9d70221b5d5b5e58ebb306911aa2f9b6ac2a6 (diff)
downloadsamba-b5bfabf1526f094942f986f8c8f7019b64db6c2f.tar.gz
samba-b5bfabf1526f094942f986f8c8f7019b64db6c2f.tar.bz2
samba-b5bfabf1526f094942f986f8c8f7019b64db6c2f.zip
Move nmblookup blackbox test closer to the code it tests.
(This used to be commit 3f24136b56d281580410bf69841c6dece5508d17)
Diffstat (limited to 'source4/utils/tests')
-rwxr-xr-xsource4/utils/tests/test_nmblookup.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/source4/utils/tests/test_nmblookup.sh b/source4/utils/tests/test_nmblookup.sh
new file mode 100755
index 0000000000..ad9b3ba799
--- /dev/null
+++ b/source4/utils/tests/test_nmblookup.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Blackbox tests for nmblookup
+
+NETBIOSNAME=$1
+NETBIOSALIAS=$2
+SERVER=$3
+SERVER_IP=$4
+shift 4
+TORTURE_OPTIONS=$*
+
+failed=0
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
+}
+
+testit "nmblookup -U \$SERVER_IP \$SERVER" bin/nmblookup $TORTURE_OPTIONS -U $SERVER_IP $SERVER
+testit "nmblookup -U \$SERVER_IP \$NETBIOSNAME" bin/nmblookup $TORTURE_OPTIONS -U $SERVER_IP $NETBIOSNAME
+testit "nmblookup -U \$SERVER_IP \$NETBIOSALIAS" bin/nmblookup $TORTURE_OPTIONS -U $SERVER_IP $NETBIOSALIAS
+testit "nmblookup \$SERVER" bin/nmblookup $TORTURE_OPTIONS $SERVER
+testit "nmblookup \$NETBIOSNAME" bin/nmblookup $TORTURE_OPTIONS $NETBIOSNAME
+testit "nmblookup \$NETBIOSALIAS" bin/nmblookup $TORTURE_OPTIONS $NETBIOSALIAS
+
+exit $failed